Bug 120914 - xdm should use /dev/urandom [xdm error: Cannot read randomFile "/dev/mem"; X cookies may be easily guessable]
xdm should use /dev/urandom [xdm error: Cannot read randomFile "/dev/mem"; X ...
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
: Security, SELinux
Depends On:
  Show dependency treegraph
Reported: 2004-04-15 03:08 EDT by Aleksey Nogin
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-01 07:37:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Aleksey Nogin 2004-04-15 03:08:11 EDT
Currently xdm attempts to use /dev/mem as a source of randomness for
cookie generation. This is a bad idea in any case, but when SELinux is
in enforcing mode, this is especially bad since SELinux prohibits this
and, as xdm-errors log file states, "X cookies may be easily guessable".

The similar bug exists for kdm as well (bug 118051) and it looks that
kdm just borrowed code from xdm. I have investigated the kdm case a
bit more, see details in bug 118051.
Comment 1 Aleksey Nogin 2004-05-06 03:00:31 EDT
RYI: the kdm version of this bug - bug 118051 - was fixed a few days ago.
Comment 2 Warren Togami 2004-05-06 03:08:23 EDT
I suspect this is more about avoiding another X rebuild, because it is
very large.  This does not seem to be a very serious problem because
nobody would prefer to use xdm over gdm/kdm, but I could be assuming
too much of course...
Comment 3 Søren Sandmann Pedersen 2004-07-20 13:49:18 EDT
Fixed upstream.
Comment 4 Mike A. Harris 2004-09-01 07:37:13 EDT
Upstream X.Org is in our fedora devel builds, changing status to

Note You need to log in before you can comment on or make changes to this bug.